INSTALLPKG(8)

NOM
installpkg - installe des paquets Slackware.

SYNOPSIS
installpkg [ --warn ] [ --md5sum ] [ --root /autreracine ] [ --infobox ] [ --menu ] [ --terse ] [ --ask ] [ --priority ADD|REC|OPT|SKP ] [ --tagfile /répertoire/tagfile ] nomdepaquet [ nomdepaquet2 ... ]

DESCRIPTION
installpkg installe un ou plusieurs paquets binaires *.tgz (ou .tbz, .tlz, .txz) conçu(s) pour être utilisé(s) avec la distribution Slackware Linux.

OPTIONS

--warn nomdepaquet
    Affiche sur la sortie standard une liste de fichiers qui seraient remplacés mais n'installe pas réellement le paquet. Cette liste est mise en forme de manière à pouvoir être utilisée comme une liste de fichiers à sauvegarder.

--md5sum nomdepaquet
    Enregistre la somme de contrôle md5 dans les méta-données écrites dans /var/log/packages.

--root /autreracine
    Installe en utilisant un autre endroit que / (la valeur par défaut) comme racine du système de fichiers cible de l'installation. Dans l'exemple, /autreracine serait utilisé au lieu de / . Affecter une valeur à la variable d'environnement ROOT a le même effet.

--infobox
    Utilise le programme /bin/dialog pour afficher des informations dans une boite de dialogue pendant l'installation du paquet. Surtout utilisé quand installpkg est appelé à partir d'autres scripts.

--menu
    Utilise le programme /bin/dialog pour afficher un menu demandant à l'utilisateur s'il veut installer le ou les paquet(s). Généralement utilisé quand installpkg est appelé à partir d'autres scripts.

--terse
    Installe le paquet en affichant une seule ligne de description sur la sortie standard.

--ask
    Utilisé avec le mode -menu. Si sélectionné, demande toujours si un paquet doit être installé, quel que soit son niveau de priorité.

--priority ADD|REC|OPT|SKP
    Quand on installe avec l'option -menu, les niveaux de priorité des paquets (trouvés dans le fichier "tagfile" situé dans le répertoire des paquets) sont utilisés pour installer automatiquement (ADD) ou sauter (SKIP) un paquet ou suggérer à l'utilisateur qu'il est recommandé (REC) ou facultatif (OPT), quand un menu est affiché. Si une priorité est indiquée sur la ligne de commande elle prévaudra sur les valeurs incluses dans le fichier "tagfile" pour toute la liste de paquets.

--tagfile /répertoire/tagfile
    Spécifie un autre fichier à utiliser pour définir les priorités des paquets (dans cet exemple le fichier /répertoire/tagfile sera utilisé). la valeur par défaut est le fichier "tagfile" dans le répertoire des paquets.

EXEMPLES

Installer un paquet de polices pour X

installpkg font-bh-ttf-1.0.3-noarch-1.txz

Note : si le paquet est déjà installé (dans une autre version), c'est upgradepkg(8) qu'il faudrait utiliser

Créer une sauvegarde des fichiers qui seraient remplacés si le paquet était installé

tar czvf /tmp/backup.tar.gz \
  $(installpkg --warn font-bh-ttf-1.0.3-noarch-1.txz)

AUTEUR
Patrick J. Volkerding <volkerdi@slackware.com>

VOIR AUSSI
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)